package cpcns.dingZhi.zuHe.service.impl;

package .tmp;

import cpcns.dangAnBase.base.service.impl.DangAnBaseServiceImpl;
import cpcns.dingZhi.zuHe.dao.GZuHeChaXunDao;
import cpcns.dingZhi.zuHe.model.GZuHeChaXun;
import cpcns.dingZhi.zuHe.service.GZuHeChaXunService;
import cpcns.utils.CommStatic;
import cpcns.utils.PagerVO;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("gZuHeChaXunService")
public class GZuHeChaXunServiceImpl extends DangAnBaseServiceImpl<GZuHeChaXun> implements GZuHeChaXunService {
  @Autowired
  private GZuHeChaXunDao gZuHeChaXunDao;
  
  public PagerVO query_SQL(Integer start, Integer rows, String table, Map<String, Object> map, String orderbysql) throws Exception {
    Map<String, Object> tp = new HashMap<>();
    StringBuffer sql = (new StringBuffer(" select hangBiaoShi,menLei,yingWenMingCheng,zhongWenMingCheng,zhuangTai,ciXu,shuoMing,shuRuXiangLeiXing,leiXingBiaoShi,beiZhu,beiYongZi,beiYongZiFu,isEdit,isBiTian,updateZhuangTai,isPanChong,tiaoJian,isChaXunPaiXu,changDu,isDongTaiJieDian,isDisplay,daiMaLeiXing,moRenZhi,filedType,queryFiled,listFiled,listSort from ")).append(table).append(" where 1=1 ");
    Object para = null;
    para = map.get("querystr");
    if (para != null && para != "") {
      Object hangBiaoShi = map.get("hangBiaoShi");
      if (hangBiaoShi != null && hangBiaoShi != "") {
        sql.append(" and hangBiaoShi hangBiaoShi");
        tp.put("hangBiaoShi", hangBiaoShi);
      } 
      CommStatic.zhuHeQueryJieXi_(sql, tp, (String)para);
    } else {
      para = map.get("menLei");
      if (para != null && para != "") {
        sql.append(" and menLei=:menLei");
        tp.put("menLei", para);
      } 
      para = map.get("yingWenMingCheng");
      if (para != null && para != "") {
        sql.append(" and yingWenMingCheng=:yingWenMingCheng");
        tp.put("yingWenMingCheng", para);
      } 
      para = map.get("zhongWenMingCheng");
      if (para != null && para != "") {
        sql.append(" and zhongWenMingCheng=:zhongWenMingCheng");
        tp.put("zhongWenMingCheng", para);
      } 
      para = map.get("zhuangTai");
      if (para != null && para != "") {
        sql.append(" and zhuangTai=:zhuangTai");
        tp.put("zhuangTai", para);
      } 
      para = map.get("ciXu");
      if (para != null && para != "") {
        sql.append(" and ciXu=:ciXu");
        tp.put("ciXu", para);
      } 
      para = map.get("shuoMing");
      if (para != null && para != "") {
        sql.append(" and shuoMing =:shuoMing");
        tp.put("shuoMing", para);
      } 
      para = map.get("shuRuXiangLeiXing");
      if (para != null && para != "") {
        sql.append(" and shuRuXiangLeiXing =:shuRuXiangLeiXing");
        tp.put("shuRuXiangLeiXing", para);
      } 
      para = map.get("leiXingBiaoShi");
      if (para != null && para != "") {
        sql.append(" and leiXingBiaoShi =:leiXingBiaoShi");
        tp.put("leiXingBiaoShi", para);
      } 
      para = map.get("beiZhu");
      if (para != null && para != "") {
        sql.append(" and beiZhu =:beiZhu");
        tp.put("beiZhu", para);
      } 
      para = map.get("beiYongZi");
      if (para != null && para != "") {
        sql.append(" and beiYongZi =:beiYongZi");
        tp.put("beiYongZi", para);
      } 
      para = map.get("beiYongZiFu");
      if (para != null && para != "") {
        sql.append(" and beiYongZiFu=:beiYongZiFu");
        tp.put("beiYongZiFu", para);
      } 
      para = map.get("changDu");
      if (para != null && para != "") {
        sql.append(" and changDu=:changDu");
        tp.put("changDu", para);
      } 
      para = map.get("isChaXunPaiXu");
      if (para != null && para != "") {
        sql.append(" and isChaXunPaiXu=:isChaXunPaiXu");
        tp.put("isChaXunPaiXu", para);
      } 
    } 
    return this.gZuHeChaXunDao.querySQL(start, rows, sql.toString(), tp, orderbysql);
  }
  
  public List getAttributeInfo(String leiXing) {
    String sql = "select yingWenMingCheng,zhongWenMingCheng,zhuangTai,ciXu,shuoMing,shuRuXiangLeiXing,leiXingBiaoShi,beiZhu,beiYongZi,beiYongZiFu,isEdit,isBiTian,updateZhuangTai,isPanChong,tiaoJian,isChaXunPaiXu,changDu,isDongTaiJieDian,isDisplay,daiMaLeiXing from G_ZUHECHAXUN where menLei='" + leiXing + "'";
    List str = this.gZuHeChaXunDao.getListToMap(sql, true);
    return str;
  }
}
